Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156756 - package GUI doesnt' follow symlinks
Summary: package GUI doesnt' follow symlinks
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-packages
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-04 00:18 UTC by Tom Weeks
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-21 19:59:30 UTC


Attachments (Terms of Use)

Description Tom Weeks 2005-05-04 00:18:13 UTC
Description of problem:
system-config-package does not honor symlinks

Version-Release number of selected component (if applicable):
system-config-packages-1.2.23-1

How reproducible:
Very.  Two for two...

Steps to Reproduce:
1. Put CD's in /var/ftp/pub
2. start with "system-config-packages --tree=/var/ftp/pub" it works///
3. make a symlink (called cd-files) to it and try with "system-config-packages
--tree=cd-files" and it doens't
  
Actual results:
Put CDs on /var/ftp/pub/

# ls -lad cd-files lrwxrwxrwx  1 root root 13 May  3 18:49 cd-files -> /var/ftp/pub/
#
# system-config-packages --tree=cd-files/
* URLError: file://cd-files//RedHat/base/comps.xml occurred getting <urlopen
error (-2, 'Name or service not known')>
* URLError: file://cd-files//RedHat/base/comps.xml occurred getting <urlopen
error (-2, 'Name or service not known')>
* URLError: file://cd-files//RedHat/base/comps.xml occurred getting <urlopen
error (-2, 'Name or service not known')>
* URLError: file://cd-files//RedHat/base/comps.xml occurred getting <urlopen
error (-2, 'Name or service not known')>
* URLError: file://cd-files//RedHat/base/comps.xml occurred getting <urlopen
error (-2, 'Name or service not known')>
Traceback (most recent call last):
  File "/usr/share/system-config-packages/MainWindow.py", line 172, in ?
    comps = im.readCompsViaMethod(hdlist, progress.update)
  File "/usr/share/system-config-packages/method.py", line 813, in
readCompsViaMethod
    update_method=update_method)
  File "/usr/share/system-config-packages/GroupSet.py", line 1018, in
groupSetFromCompsFile
    compsxml = rhpl.comps.Comps(file)
UnboundLocalError: local variable 'file' referenced before assignment


Expected results:
Work.. :)

Additional info:
Discovered when linking to an nfs mount in /mnt/server1.example.com, but affect
is the same if nfs based or pure local symlink as above.

Comment 2 Jeremy Katz 2005-09-21 19:59:30 UTC
You need to pass the full path, not just a relative path.


Note You need to log in before you can comment on or make changes to this bug.